import 'package:flutter/foundation.dart';
import 'package:logger/logger.dart';
import 'package:rasadyar_core/injection/di.dart';

void iLog(dynamic message) {
  if(kDebugMode){
    diCore.get<Logger>().i(message.toString());
  }
}

void eLog(dynamic message) {
  if(kDebugMode){
  diCore.get<Logger>().e(message.toString());
  }
}


void dLog(dynamic message) {
  if(kDebugMode){
  diCore.get<Logger>().d(message.toString());
  }
}


void fLog(dynamic message){
  if(kDebugMode){
  diCore.get<Logger>().f(message.toString());
  }
}


void tLog(dynamic message) {
  if(kDebugMode){
  diCore.get<Logger>().t(message.toString());
  }
}

